{% extends "story5/base.html" %} {% load static %} {% block body_main %}
<section class="container-fluid d-flex flex-wrap align-content-center mb-5">
  <div class="section-title mx-auto text-center p-5">
    <h1>My Subjects</h1>
  </div>
  <table class="table table-bordered table-hover mx-5 mb-5" style="width:90vw">
    <thead class="thead-light text-center">
      <tr>
        <th>Subject</th>
        <th>Lecturer</th>
        <th>Total Credit</th>
        <th>Delete</th>
      </tr>
    </thead>
    <tbody>
      {% for x in subject_list %}
      <tr>
        <td><a href="detail/{{ x.id }}">{{ x.matkul }} </a></td>
        <td>{{ x.dosen }}</td>
        <td class="text-center">{{ x.sks }}</td>
        <td class="text-center">
          <form method="POST" action="{% url 'story5:subject' %}">
            {% csrf_token %}
            <input name="id" value="{{x.id}}" type="hidden" />
            <button type="submit" value="Submit" class="btn btn-primary mx-auto mt-2" style="font-size: 0.8rem;">
              Delete
            </button>
          </form>
        </td>
      </tr>
      {% endfor %}
    </tbody>
  </table>

  <button class="btn btn-primary d-flex m-auto click">
    <a href="{% url 'story5:subject_add' %}" class="text-white">
      Add a new subject
    </a>
  </button>
</section>

{% endblock %}
